/*
    CTHUGHA-L
	
    Linux-Version of CTHUGHA
	
		
"It gives credence to the phrase 'I can see music'...There is no real 
 way to describe the patterns except as weird". 
 - Australian PC Review Oct '94 

"Cthugha displays your sound card's CD, line or mic-input, then processes 
it into a hypnotic, swirling, 256-color confection for your eyes".
 - WIRED 3.03 (p. 156: Music to Your Eyes)
------------------------------------------------------------------------------
*/

#include "cthugha.h"
#include "action.h"				/* display_sound() */
#include "keys.h"
#include "display.h"
#include "translate.h"
#include "interface.h"

#include <vga.h>
#include <unistd.h>

char * cthugha_mode_text() {
    return "svga";
}

int cth_init(int */* argc*/, char ** /*argv*/)  {

    seteuid(0);		// the program might be setuid something else
    vga_init(); 	/* initialize svgalib */

    return 0;
}
int cth_main() {

#if 0

    int t1, t2;
    int i;
    char mem1[65536];
    char mem2[65536];

    printfv(1, "timing\n");
    t1 = gettime();
    for(i=0; i < 1000; i ++) {
	flame_general_slow_no_trans();
    }
    t2 = gettime();
    printfv(1, "time: %d\n", t2-t1);


    printfv(1, "timing\n");
    t1 = gettime();
    for(i=0; i < 1000; i ++) {
	flame_upslow();
    }
    t2 = gettime();
    printfv(1, "time: %d\n", t2-t1);
    
#else

    if( init_graph_mode() ) 
	return 1;
    init_palettes();

    do {
	currentInterface->run();
	display_sound();
    } while(cthugha_close == 0);
#endif
    return 0;
}














