#include "cthugha.h"
#include "interface.h"
#include "sound.h"

static InterfaceElement * elementsOption[] = {
    new InterfaceElementTitle ("Options"),
    new InterfaceElementText  ("---------------------------------------"),
    new InterfaceElementOption("Minimal time btw. change : %10s", &sound_wait_min,	10,50,100),
    new InterfaceElementOption("Extra random time        : %10s", &sound_wait_random,	10,50,100),
    new InterfaceElementOption("Quiet wait time          : %10s", &sound_wait_quiet,	10,50,100),
    new InterfaceElementOption("Quiet change time        : %10s", &sound_quiet_change,	10,50,100),
    new InterfaceElementOption("Minimal noise level      : %10s", &sound_minnoise,	1, 10,255),
    new InterfaceElementOption("Sound fire level         : %10s", &sound_firelevel,	1, 10,255),
    new InterfaceElementOption("Little changes only      : %10s", &change_little),
    new InterfaceElementOption("FFT (e)                  : %10s", &fft),
    new InterfaceElementOption("Flashlight (s)           : %10s", &flashlight),
    new InterfaceElementOption("RGB (r)                  : %10s", &rgb),
    new InterfaceElementOption("Mirror horizontal (h)    : %10s", &mirrorHoriz),
    new InterfaceElementOption("Mirror vertical (v)      : %10s", &mirrorVert)
};
Interface * interfaceOptions = new Interface(elementsOption, 
					     sizeof(elementsOption)/sizeof(InterfaceElement*));
