#include "cthugha.h"
#include "sound.h"


/*
 *  Create a random sound for those without a sound-card
 */
void SoundDeviceRandom::read() {
    int x;
    static int v1=0, v2=0, maxdv=2; 

    /* generate random sound */
    sound_data[0][0]=144; 
    sound_data[0][1]=112; 
    for (x=1; x < sound_bsize; x++) { 

	if (rand()%256 > sound_data[x-1][0]) 
	    v1+=rand()%maxdv; 
	else 
	    v1-=rand()%maxdv; 

	if (rand()%256 > sound_data[x-1][1]) 
	    v2+=rand()%maxdv; 
	else 
	    v2-=rand()%maxdv; 

	sound_data[x][0]=sound_data[x-1][0]+v1; 
	sound_data[x][1]=sound_data[x-1][1]+v2; 

    } 

    for(x=0; x < sound_bsize; x++) {
	sound_data[x][0] -= 128;
	sound_data[x][1] -= 128;
    }
}

