/* 
    CHUGHA-L							cd_player.h
*/

#ifndef __CD_PLAYER_H__
#define __CD_PLAYER_H__

int init_cd();					/* init CD-Player */
int exit_cd();					/* close CD-Player */
int cd_check();

#if WITH_CDROM == 1

#include "Option.h"

int cd_eject();
int cd_track(int track);			/* start playing at track */
int cd_pause();					/* pause the CD */
int cd_stop();					/* stops playing the CD */
int cd_next(int skip);				/* skip by skip  tracks */
int cd_fast(int skip);
int cd_subchnl();

extern OptionInt cd_first_track;			/* start with track nr */
extern OptionOnOff cd_stop_on_exit;				
extern OptionOnOff cd_randomplay;
extern OptionOnOff cd_loop;
extern OptionOnOff cd_eject_on_end;

extern char dev_cd[];

#endif /* WITH_CDROM */

#endif
